Bug 1454861

Summary: provisioning from pxe fails when using ovirt sdk v4
Product: Red Hat CloudForms Management Engine Reporter: movciari
Component: ProvisioningAssignee: Boriso <bodnopoz>
Status: CLOSED CURRENTRELEASE QA Contact: Angelina Nikiforova <anikifor>
Severity: high Docs Contact:
Priority: high    
Version: 5.8.0CC: bodnopoz, istein, jhardy, obarenbo, simaishi
Target Milestone: GAKeywords: TestOnly, ZStream
Target Release: 5.9.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard: provider:rhev
Fixed In Version: 5.9.0.1 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1461857 (view as bug list) Environment:
Last Closed: 2018-03-06 14:38:47 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: Bug
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: RHEVM Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1461857    

Description movciari 2017-05-23 15:16:18 UTC
Description of problem:
When provisioning a VM on RHV provider from PXE, if you have ovirt sdk v4 enabled, it fails with:
[EVM] VM [prov_pxe] Step [CheckProvisioned] Status [[NoMethodError]: undefined method `[]] Message [[NoMethodError]: undefined method `[]' for #<OvirtSDK4::Network:0x0000000d7c5288>]


Version-Release number of selected component (if applicable):
5.8.0.16 + switch to sdk V4

How reproducible:
always

Steps to Reproduce:
1. edit /var/www/miq/vmdb/config/settings.yml and set use_ovirt_engine_sdk to true
2. provision VM from pxe

Actual results:
[EVM] VM [prov_pxe] Step [CheckProvisioned] Status [[NoMethodError]: undefined method `[]] Message [[NoMethodError]: undefined method `[]' for #<OvirtSDK4::Network:0x0000000d7c5288>]

Expected results:
should provision

Additional info:

Comment 3 CFME Bot 2017-06-01 08:19:45 UTC
New commit detected on ManageIQ/manageiq-providers-ovirt/master:
https://github.com/ManageIQ/manageiq-providers-ovirt/commit/7d43760fb1b23fd364aaac056bea7410f096cb54

commit 7d43760fb1b23fd364aaac056bea7410f096cb54
Author:     Boris Odnopozov <bodnopoz@redhat.com>
AuthorDate: Wed May 24 16:56:34 2017 +0300
Commit:     Boris Odnopozov <bodnopoz@redhat.com>
CommitDate: Thu May 25 16:32:44 2017 +0300

    Fix provisioning PXE for version 4
    
    Part of the PXE provisioning process which had to do with finding the mac address
    was broken. It is now fixed and split between ovirt_services for v3 and v4.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1454861

 .../redhat/infra_manager/ovirt_services/strategies/v3.rb     |  6 ++++++
 .../redhat/infra_manager/ovirt_services/strategies/v4.rb     | 10 ++++++++++
 .../redhat/infra_manager/provision/configuration/network.rb  | 12 +++---------
 .../infra_manager/provision/configuration/network_spec.rb    |  4 ++++
 4 files changed, 23 insertions(+), 9 deletions(-)

Comment 7 CFME Bot 2017-06-27 10:28:57 UTC
New commit detected on ManageIQ/manageiq-providers-ovirt/master:
https://github.com/ManageIQ/manageiq-providers-ovirt/commit/698b53f8658ed1e07443d9b9db79813cd1ed5a2f

commit 698b53f8658ed1e07443d9b9db79813cd1ed5a2f
Author:     Boris Odnopozov <bodnopoz@redhat.com>
AuthorDate: Thu Jun 22 16:00:13 2017 +0300
Commit:     Boris Odnopozov <bodnopoz@redhat.com>
CommitDate: Tue Jun 27 11:01:45 2017 +0300

    Fix provisioning from PXE with the OvirtSDK
    
    Part of the PXE provisioning process which had to do with finding the mac address
    was broken.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1454861

 .../infra_manager/ovirt_services/strategies/v3.rb  | 19 ++++++++++--
 .../infra_manager/ovirt_services/strategies/v4.rb  | 17 ++++++-----
 .../provision/configuration/network.rb             | 21 ++++---------
 .../provision/configuration/network_spec.rb        | 35 +++++++++++++++++-----
 .../provision_via_pxe/state_machine_spec.rb        |  1 +
 5 files changed, 62 insertions(+), 31 deletions(-)

Comment 8 Ilanit Stein 2017-11-10 06:13:50 UTC
Verified on CFME-5.9.0.4(Ovirt SDK V$ enabled by default) / RHV-4.1.6

VM provision from PXE do not generate the error mentioned in the description.